//
//  CODownloadCell.h
//  classonline
//
//  Created by hyz on 2019/2/27.
//  Copyright © 2019 offcn. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "MGSwipeTableCell.h"
#import "CODownloadObject.h"

NS_ASSUME_NONNULL_BEGIN

/**
 * 下载用到的cell，用于管理下载时cell的更新；操作按钮用到的代理请在继承的子类中实现
 *
 * 如果cellData不为空，要将该cell的CODownloadObjectDelegate添加到下载对象中，方便统一管理
 */
@interface CODownloadCell : MGSwipeTableCell <CODownloadObjectDelegate>

/// 下载生成的下载对象数据
@property (nonatomic, strong, nullable) CODownloadObject *downloadObject;
/// 下载cell的标识，用于controller释放时从downloadObject移除代理
@property (nonatomic, strong) NSString *cellIdentify;

/// 更新下载状态信息，包括下载状态、下载进度
- (void)updateDownloadStatusInfo;

@end

NS_ASSUME_NONNULL_END
